typedef struct  
{
    int citation_id;
    char name[80], version[80], date[80], type[80], contact_author[80];
    char contact_author_email[80],location[80],classification[200];
    char language[80],description[200];
}SOFTWARE;

typedef struct 
{
    int  id;
   const char *title, *year, *journal_volume;
   const char *page_first, *page_last, *journal_abbrev, *details;   
}CITATION;

typedef struct 
{
    int citation_id, ordinal ,ncite;
   const char *name;
}CITATION_AUTHOR;

typedef struct 
{
    SOFTWARE software;
    CITATION citation;
    int authors;
    CITATION_AUTHOR citation_author[20];
}SOFTWARE_INF; 

SOFTWARE_INF  software_all[50] = {
     {
 // cns=0
         { //SOFTWARE
             1, "CNS", "?", "?", "package",  //id, name, *version, *date, *type,
             "Axel T. Brunger", "axel.brunger@yale.edu", //author,email
             "http://cns-online.org/",  //location
             "?", "Fortran_77",  //classification, language
             "A complete package for Xray and NMR system" //description
         },
         {//CITATION
             1, "Crystallography & NMR System", //id, title,
             "1998", "54", "905", "921",  //*year, *journal_volume,page_first, *page_last
             "ACTA CRYSTALLOGR.,SECT.D", //journal_abbrev
             "Acta Crystallogr. D54, 905-921" //details
         }, 14, //authors
         {//SOFTWARE_INF
            {1, 1, 14, "Brunger, A.T."}, //citation_id, ordinal ,ncite,name
            {1, 1, 14, "Adams, P.D."},
            {1, 1, 14, "Clore, G.M."},
            {1, 1, 14, "Delano, W.L."},
            {1, 1, 14, "Gros, P."},
            {1, 1, 14, "Grosse-Kunstleve, R."},
            {1, 1, 14, "Jiang, J.-S."},
            {1, 1, 14, "Kuszewski, J."},
            {1, 1, 14, "Nilges, M."},
            {1, 1, 14, "Pannu, N.S."},
            {1, 1, 14, "Read, R.J."},
            {1, 1, 14, "Rice, L.M."},
            {1, 1, 14, "Simonson, T."},
            {1, 1, 14, "Warren, G."}
         }
     },
 
 // mlphare=1
     {
         {
             1, "mlphare", "?", "?", "other",
             "Eleanor J. Dodson", "ccp4@ccp4.ac.uk",
             "http://www.ccp4.ac.uk/dist/html/mlphare.html",
             "phasing", "Fortran_77",
             "maximum likelihood heavy atom refinement & phase calculation"
         },
         {
             1, "CCP4 Suite: Programs for Protein Crystallography",
             "1994", "50", "760", "763",
             "ACTA CRYSTALLOGR.,SECT.D",
             "Acta Crystallogr. D50, 760-763"
         }, 1,
         {
             {1, 1, 1, "Donson, E.J."}
         }
     },
 
 // solve=2
     {
         {
             1, "SOLVE", "?", "?", "program",
             "Tom Terwilliger", "terwilliger@LANL.gov",
             "http://www.solve.lanl.gov/",
             "phasing", "?",
             "Heavy atom location, phase calculation & refinement"
         },
         {
             1, "Automated MAD and MIR structure solution",
             "1999", "55", "849", "861",
             "ACTA CRYSTALLOGR.,SECT.D",
             "Acta Crystallogr. D55, 849-861"
         }, 2,
         {
             {1, 1, 2, "Terwilliger, T.C."},
             {1, 1, 2, "Berendzen, J."}
         }
     },
 
 // sharp=3
     {
         {
             1, "SHARP", "?", "?", "package",
             "Eric de La Fortelle", "sharp-develop@globalphasing.com",
             "http://www.globalphasing.com/sharp/",
             "phasing", "?",
             "Heavy atom location, phase calculation & refinement"
         },
         {
             1, "Maximum-Likelihood Heavy-Atom Parameter Refinement for MIR & MAD",
             "1997", "276", "472", "494",
             "Methods Enzymol.",
             "Methods Enzymol. 276 472-494"
         }, 2,
         {
             {1, 1, 2, "La Fortelle, E. de"},
             {1, 1, 2, "Bricogne, G."}
         }
     },
 
 // shelx=4
     {
         {
             1, "SHELX", "?", "?", "package",
             "George M. Sheldrick", "gsheldr@shelx.uni-ac.gwdg.de",
             "http://shelx.uni-ac.gwdg.de/SHELX/",
             "?", "Fortran_77",
             "A complete package for Xray structure determination"
         },
         {
             1, "Patterson Superposition and ab Initio Phasing",
             "1997", "276", "628", "658",
             "Methods Enzymol.",
             "Methods Enzymol. 276 628-658"
         }, 1,
         {
             {1, 1, 1, "Sheldrick, G.M."}
         }
     },
 
 // SnB=5
     {
         {
             1, "SnB", "?", "?", "package",
             "Charles M. Weeks", "snb-requests@hwi.buffalo.edu",
             "http://www.hwi.buffalo.edu/SnB/",
             "phasing", "Java",
             "Heavy atom location, phase calculation"
         },
         {
             1, "The design and implementation of SnB v2.0",
             "1999", "32", "120", "124",
             "J. Appl. Cryst.",
             "J. Appl. Cryst. 32, 120-124"
         }, 2,
         {
             {1, 1, 2, "Weeks, C.M."},
             {1, 1, 2, "Miller, R."}
         }
     },
 
 // BnP=6
     {
         {
             1, "BnP", "?", "?", "package",
             "Charles M. Weeks", "bnp-help@hwi.buffalo.edu",
             "http://www.hwi.buffalo.edu/BnP/",
             "phasing", "Java & Fortran",
             "Heavy atom location, phase calculation & refinement"
         },
         {
             1, "Towards automated protein structure determination: BnP, the  SnB-PHASES  Interface",
             "2002", "217", "686", "693",
             "Z. Kristallogr.",
             "Z. Kristallogr. 217, 686-693"
         }, 9,
         {
             {1, 1, 9, "Weeks, C.M."},
             {1, 1, 9, "Blessing, R.H."},
             {1, 1, 9, "Miller, R."},
             {1, 1, 9, "Mungee, S."},
             {1, 1, 9, "Innus, M."},
             {1, 1, 9, "Potter, S.A."},
             {1, 1, 9, "Rappleye, A."},
             {1, 1, 9, "Xu, H."},
             {1, 1, 9, "Furey, W."}
         }
     },
 
 // dm=7
     {
         {
             1, "DM", "?", "?", "program",
             "Kevin Cowtan", "kowtan@ysbl.york.ac.uk",
             "http://www.ccp4.ac.uk/dist/html/dm.html",
             "density modification", "Fortran_77",
             "density modification, phase extension, Non-crystallographic symmetry averaging"
         },
         {
             1, "dm: An automated procedure for phase improvement by density modification",
             "1994", "31", "34", "38",
             "Joint CCP4 and ESF-EACBM Newsletter on Protein Crystallography",
             "Joint CCP4 and ESF-EACBM Newsletter on Protein Crystallography, 31, p34-38"
         }, 1,
         {
             {1, 1, 1, "Cowtan, K."}
         }
     },
 
 // resolve=8
     {
         {
            1, "RESOLVE", "?", "?", "program",
             "Thomas C. Terwilliger", "terwilliger@lanl.gov",
             "http://www.solve.lanl.gov/",
             "density modification", "?",
             "density modification with biased model phases, model building"
         },
         {
             1, "Maximum likelihood density modification",
             "2000", "56", "965", "972",
             "ACTA CRYSTALLOGR.,SECT.D",
             "Acta Crystallogr. D56, 965-972. "
         }, 1,
         {
             {1, 1, 1, "Terwilliger, T.C."}
         }
     },
 
 // Solomon = 9
     {
         {
             1, "Solomon", "?", "?", "program",
             "Jan P. Abrahams", "ccp4@ccp4.ac.uk",
             "http://www.ccp4.ac.uk/dist/html/solomon.html",
             "density modification", "Fortran_77",
             "density modification by averaging, solvent flipping and protein truncation"
         },
         {
             1, "Methods used in the structure determination of bovine mitochondrial F1 ATPase",
             "1996", "52", "30", "42",
             "ACTA CRYSTALLOGR.,SECT.D",
             "Acta Crystallogr. D52, 30-42"
         }, 2,
         {
             {1, 1, 2, "Abrahams J.P."},
             {1, 1, 2, "Leslie A.G.W."}
         }
     },
 
 // REFMAC5=10
     {
         {
             1, "REFMAC5", "?", "?", "program",
             "Garib N. Murshudov", "garib@ysbl.york.ac.uk",
             "http://www.ccp4.ac.uk/dist/html/refmac5.html",
             "refinement", "Fortran_77",
             "Protein refinement by the Maximum-Likelihood Method, with TLS option"
         },
         {
             1, "Refinement of Macromolecular Structures by the Maximum-Likelihood Method",
             "1997", "53", "240", "255",
             "ACTA CRYSTALLOGR.,SECT.D",
             " Acta Crystallogr. D53, 240-255"
         }, 3,
         {
             {1, 1, 3, "Murshudov, G.N."},
             {1, 1, 3, "Vagin, A.A."},
             {1, 1, 3, "Dodson, E.J."}
         }
     },
 
 // tnt=11
     {
         {
             1, "TNT", "?", "?", "package",
             "Dale E. Tronrud", "?",
             "http://www.uoxray.uoregon.edu/tnt/",
             "refinement", "?",
             "Structure refinement, optimizing a model to X-ray diffraction data"
         },
         {
             1, "TNT Refinement Package",
             "1997", "277", "306", "319",
             "Methods Enzymol.",
             "Methods Enzymol. 277, 306-319"
         }, 1,
         {
             {1, 1, 1, "Tronrud, D.E."}
         }
     },
 
 // Warp=12
     {
         {
             1, "ARP/wARP", "?", "?", "package",
             "Victor S. Lamzin", "victor@embl-hamburg.de",
             "http://www.embl-hamburg.de/ARP/",
             "?", "?",
             "Automatic construction and refinement of macromolecular models"
         },
         {
             1, "Automated refinement for protein crystallography",
             "1997", "277", "269", "305",
             "Methods Enzymol.",
             "Methods Enzymol. 277, 269-305"
         }, 2,
         {
             {1, 1, 2, "Lamzin, V.S."},
             {1, 1, 2, "Wilson, K.S."}
         }
     },
 
 // restrain=13
     {
         {
             1, "RESTRAIN", "?", "?", "program",
             "Ian Tickle", "ccp4@ccp4.ac.uk",
             "http://www.ccp4.ac.uk/dist/html/restrain.html",
             "refinement", "Fortran_77",
             "refinement program including restraints, rigid body refinement, NCS, TLS etc."
         },
         {
             1, "The CCP4 Suite: Programs for Protein Crystallography",
             "1994", "50", "760", "763",
             "ACTA CRYSTALLOGR.,SECT.D",
             "Acta Crystallogr. D50, 760-763"
         }, 1,
         {
             {1, 1, 1, "?"}
         }
     },
 
 // amore=14
     {
         {
             1, "AMORE", "?", "?", "program",
             "Jorge Navaza", "ccp4@ccp4.ac.uk",
             "http://www.ccp4.ac.uk/",
             "molecular replacement", "Fortran_77",
             "state-of-the-art molecular replacement package"
         },
         {
             1, "AMoRe: an Automated Package for Molecular Replacement",
             "1994", "50", "157", "163",
             "ACTA CRYSTALLOGR.,SECT.A",
             "Acta Crystallogr. A50, 157-163"
         }, 1,
         {
             {1, 1, 1, "Navaza, J."}
         }
     },
 
 // epmr=15
     {
         {
             1, "EPMR", "?", "?", "program",
             "Charles R. Kissinger", "crk@agouron.com",
             "http://www.epmr.info/",
             "molecular replacement", "?",
             "molecular replacement by evolutionary search"
         },
         {
             1, "Rapid automated molecular replacement by evolutionary search",
             "1999", "55", "484", "491",
             "ACTA CRYSTALLOGR.,SECT.D",
             "Acta Crystallogr., D55, 484-491"
         }, 3,
         {
             {1, 1, 3, "Kissinger, C.R."},
             {1, 1, 3, "Gehlhaar, D.K."},
             {1, 1, 3, "Fogel, D.B."}
         }
     },
 
 // MOLREP=16
     {
         {
             1, "MOLREP", "?", "?", "program",
             "Alexei Vaguine", "alexei@ysbl.york.ac.uk",
             "http://www.ccp4.ac.uk/dist/html/molrep.html",
             "molecular replacement", "Fortran_77",
             "automated program for molecular replacement"
         },
         {
             1, "MOLREP: an automated program for molecular replacement",
             "1997", "30", "1022", "1025",
             "J. Appl. Cryst.",
             "J. Appl. Cryst. 30, 1022-1025"
         }, 2,
         {
             {1, 1, 2, "Vagin, A."},
             {1, 1, 2, "Teplyakov, A."}
         }
     },
     
 // HKL = 17
     {
         {
             1, "HKL", "?", "?", "package",
             "Zbyszek Otwinowski", "hkl@hkl-xray.com",
             "http://www.hkl-xray.com/",
             "data processing", "?",
             "scale and analyze monochromatic X-ray diffraction oscillation data"
         },
         {
             1, "Processing of X-ray Diffraction Data Collected in Oscillation Mode",
             "1997", "276", "307", "326",
             "METHODS ENZYMOL.",
             "Methods Enzymol. 276, 307-326"
         }, 4,
         {
             {1, 1, 4, "Vagin, A."},
             {1, 1, 4, "Teplyakov, A."},
             {1, 1, 4, "Otwinowski, Z."},
             {1, 1, 4, "Minor, W."}
         }
     },
 
 // scala=18
     {
         {
             1, "SCALA", "?", "?", "other",
             "Phil R. Evans", "pre@mrc-lmb.cam.ac.uk",
             "http://www.ccp4.ac.uk/dist/html/scala.html",
             "scale reflection data", "Fortran_77",
             "scale and merge multiple reflections into an average intensity"
         },
         {
             1, "The scala program",
             "1997", "33", "22", "24",
             "Joint CCP4 and ESF-EACBM Newsletter",
             "Joint CCP4 and ESF-EACBM Newsletter 33, 22-24 "
         }, 1,
         {
             {1, 1, 1, "Evans, P.R."}
         }
     },
 
 // D*trek = 19 
     {
         {
             1, "D*trek", "?", "?", "package",
             "Jim W. Pflugrath", "Jim.Pflugrath@Rigaku.com",
             "http://www.rigaku.com/software/dtrek.html",
             "data processing", "?",
             "A Universal Data Processing Package for IP and CCD Detectors"
         },
         {
             1, "The finer things in X-ray diffraction data collection",
             "1999", "55", "1718", "1725",
             "ACTA CRYSTALLOGR.,SECT.D",
             "Acta Crystallogr. D55, 1718-1725"
         }, 1,
         {
             {1, 1, 1, "Pflugrath, J.W."}
         }
     },
 
 // phases=20 
     {
         {
             1, "PHASES", "?", "?", "package",
             "William Furey", "fureyw@pitt.edu",
             "http://www.imsb.au.dk/~mok/phases/phases.html",
             "phasing", "Fortran_77",
             "Heavy atom location, phase calculation & phase refinement"
         },
         {
             1, "PHASES-95: A Program Package for the Processing and Analysis of Diffraction Data from Macromolecules",
             "1997", "277", "590", "620",
             "METHODS ENZYMOL.",
             "Methods Enzymol. 277, 590-620"
         }, 2,
         {
             {1, 1, 2, "Furey, W."},
             {1, 1, 2, "Swaminathan, S."}
         }
     },
 
 // SAINT=21 
     {
         {
             1, "SAINT", "?", "?", "package",
             "?", "?",
             "http://www.bruker-axs.de/",
             "data processing", "?",
             "integrating frames, sorting reflection lists, scaling, filtering, sorting and merging of reflections"
         },
         {
             1, "?",
             "?", "?", "?", "?",
             "?",
             "?"
         }, 1,
         {
             {1, 1, 1, "?"}
         }
     },
 
 // 3DSCALE=22 
     {
         {
             1, "3DSCALE", "?", "?", "other",
             "Zhengqing Fu", "fuzq@uga.edu",
             "?",
             "Data scaling", "?",
             "Experimental error corrections and scaling of X-ray data by using 3-dimensional error correction and scaling models"
         },
         {
             1, "Experimental Error Correction of Crystal Diffraction Data Using 3-dimentional Model with Free-R test",
             "2000", "?", "?", "?",
             "ACA Annual Meeting",
             "? "
         }, 1,
         {
             {1, 1, 1, "Fu, Z."}
         }
     },
 
 // PDB_EXTRACT=23 
     {
         {
             1, "pdb_extract", "?", "?", "package",
             "PDB", "deposit@deposit.rcsb.org",
             "http://sw-tools.pdb.org/apps/PDB_EXTRACT/",
             "Data extraction", "C++",
             "Extract information from Log files generatd by X-ray crystallographic programs"
         },
         {
             1, "Automated data extraction and deposition",
             "2004", "60", "1833", "1839",
             "ACTA CRYSTALLOGR.,SECT.D",
             "Acta Crystallogr. D60, 1833-1839"
         }, 5,
         {
             {1, 1, 5, "Yang, H."},
             {1, 1, 5, "Guranovic, V."},
             {1, 1, 5, "Feng, Z."},
             {1, 1, 5, "Berman, H."},
             {1, 1, 5, "Westbrook, J."}
         }
     },
     
 // SCALEPACK = 24
     {
         {
             1, "SCALEPACK", "?", "?", "program",
             "Zbyszek Otwinowski", "hkl@hkl-xray.com",
             "http://www.hkl-xray.com/",
             "scale reflection data", "?",
             "scale and analyze monochromatic X-ray diffraction oscillation data"
         },
         {
             1, "Processing of X-ray Diffraction Data Collected in Oscillation Mode",
             "1997", "276", "307", "326",
             "METHODS ENZYMOL.",
             "Methods Enzymol. 276, 307-326"
         }, 4,
         {
             {1, 1, 4, "Vagin, A."},
             {1, 1, 4, "Teplyakov, A."},
             {1, 1, 4, "Otwinowski, Z."},
             {1, 1, 4, "Minor, W."}
         }
     },
 
 // Denzo = 25
     {
         {
             1, "DENZO", "?", "?", "program",
             "Zbyszek Otwinowski", "hkl@hkl-xray.com",
             "http://www.hkl-xray.com/",
             "data indexing and integration", "?",
             "analyze monochromatic X-ray diffraction oscillation data"
         },
         {
             1, "Processing of X-ray Diffraction Data Collected in Oscillation Mode",
             "1997", "276", "307", "326",
             "METHODS ENZYMOL.",
             "Methods Enzymol. 276, 307-326"
         }, 4,
         {
             {1, 1, 4, "Vagin, A."},
             {1, 1, 4, "Teplyakov, A."},
             {1, 1, 4, "Otwinowski, Z."},
             {1, 1, 4, "Minor, W."}
         }
     },
 
 
 // Phaser = 26
     {
         {
             1, "Phaser", "?", "?", "program",
             "Randy J. Read", "cimr-phaser@lists.cam.ac.uk",
             "http://www-structmed.cimr.cam.ac.uk/phaser/",
             "molecular replacement", "?",
             "a program for phasing macromolecular crystal structures with maximum likelihood methods"
         },
         {
             1, "Likelihood-enhanced fast rotation functions",
             "2004", "60", "432", "438",
             "ACTA CRYSTALLOGR.,SECT.D",
             "Acta Crystallogr. D60, 432-438"
         }, 3,
         {
             {1, 1, 3, "Storoni, L.C."},
             {1, 1, 3, "McCoy, A.J."},
             {1, 1, 3, "Read, R.J."}
            
         }
     },
     
 // Mosflm = 27
     {
         {
             1, "Mosflm", "?", "?", "package",
             "Andrew G.W. Leslie", "andrew@mrc-lmb.cam.ac.uk",
             "http://www.mrc-lmb.cam.ac.uk/harry/mosflm/",
             "data indexing and integration", "?",
             "Mosflm is a program for indexing and integrating single crystal diffraction data from area detectors."
         },
         {
             1, "An Algorithm for Automatic Indexing of Oscillation Images using Fourier Analysis",
             "1998", "30", "1036", "1040",
             "J. APPL. CRYSTALLOGR.",
             "J. Appl. Crystallogr. 30, 1036-1040"
         }, 3,
         {
             {1, 1, 3, "Steller, I."},
             {1, 1, 3, "Bolotovski, R."},
             {1, 1, 3, "Rossmann, M.G."}
            
         }
     },
     
 // Cyana = 28
     {
         {
             1, "Cyana", "?", "?", "package",
             "Peter Guntert", "cyana@las.jp",
             "http://www.las.jp/english/products/s08_cyana/",
             "Automated NMR structure determination", "?",
             "Combined assignment and dynamics algorithm for NMR applications."
         },
         {
             1, "Automated NMR protein structure calculation",
             "2003", "43", "105", "125",
             "PROG. NUCL. MAGN. RESON. SPECTROSC.",
             "Prog. Nucl. Magn. Reson. Spectrosc. 43, 105-125"
         }, 1,
         {
             {1, 1, 1, "Guntert, P."}
            
         }
     },
     
 // Xscale = 29
     {
         {
             1, "Xscale", "?", "?", "package",
             "Wolfgang Kabsch", "?",
             "http://www.mpimf-heidelberg.mpg.de/~kabsch/xds/html_doc/xscale_program.html",
             "data processing", "?",
             "data processing"
         },
         {
             1, "Automatic processing of rotation diffraction data from crystals of initially unknown symmetry and cell constants",
             "1993", "26", "795", "800",
             "J. APPL. CRYSTALLOGR.",
             "J. Appl. Crystallogr. 26, 795-800"
         }, 1,
         {
             {1, 1, 1, "Kabsch, W."}
            
         }
     },
     
 // phenix = 30
     {
         {//SOFTWARE
             1, "phenix", "?", "?", "package",  //id, name, *version, *date, *type,
             "Paul D. Adams", "PDAdams@lbl.gov", //author,email
             "http://www.phenix-online.org/",  //location
             "?", "C++",  //classification, language
             "A complete package for Xray Crystallography" //description
         },
         {//CITATION
             1, "PHENIX: building new software for automated crystallographic structure determination", //id, title,
             "2002", "58", "1948", "1954",  //*year, *journal_volume,page_first, *page_last
             "ACTA CRYSTALLOGR.,SECT.D", //journal_abbrev
             "Acta Crystallogr. D58, 1948-1954" //details
         }, 10, //authors
         {//SOFTWARE_INF
             {1, 1, 10, "Adams, P.D."}, //citation_id, ordinal ,ncite,name
             {1, 1, 10, "Grosse-Kunstleve, R."},
             {1, 1, 10, "Hung, L.-W."},
             {1, 1, 10, "Ioerger, T.R."},
             {1, 1, 10, "McCoy, A.J. "},
             {1, 1, 10, "Moriarty, N.W."},
             {1, 1, 10, "Read, R.J."},
             {1, 1, 10, "Sacchettini, J.C."},
             {1, 1, 10, "Sauter, N.K."},
             {1, 1, 10, "Terwilliger, T.C."}
         }
     },
 // COMO = 31
     {
         {//SOFTWARE
             1, "COMO", "?", "?", "package",  //id, name, *version, *date, *type,
             "Lang Tong", "tong@como.bio.columbia.edu", //author,email
             "http://como.bio.columbia.edu/tong/Public/Como/como.html",  //location
             "molecular replacement", "?",  //classification, language
             "A package for molecular replacement" //description
         },
         {//CITATION
             1, "?", //id, title,
             "1996", "52", "782", "784",  //*year, *journal_volume,page_first, *page_last
             "ACTA CRYSTALLOGR.,SECT.A", //journal_abbrev
             "Acta Crystallogr. A52, 782-784" //details
         }, 1, //authors
         {//SOFTWARE_INF
             {1, 1, 1, "Tong, L."} //citation_id, ordinal ,ncite,name
         }
     },
 //Xplor-NIH = 32 (modified version of X-plor by  G. Marius Clore  ) 
     {
         {//SOFTWARE
             1, "Xplor-NIH", "?", "?", "package",  //id, name, *version, *date, *type,
             "G. Marius Clore", "mariusc@intra.niddk.nih.gov", //author,email
             "http://nmr.cit.nih.gov/xplor-nih/",  //location
             "?", "?",  //classification, language
             "A structure determination program based on the X-PLOR" //description
         },
         {//CITATION
             1, "The Xplor-NIH NMR Molecular Structure Determination Package", //id, title,
             "2003", "160", "65", "73",  //*year, *journal_volume,page_first, *page_last
             "J. MAGN. RES.", //journal_abbrev
             "J. Magn. Res. 160, 65-73" //details
         }, 4, //authors
         {//SOFTWARE_INF
             {1, 1, 4, "Schwieters, C.D."}, //citation_id, ordinal ,ncite,name
             {1, 1, 4, "Kuszewski, J.J."}, 
             {1, 1, 4, "Tjandra, N."},
             {1, 1, 4, "Clore, G.M."} 
         }
     },
     
 //BP3 = 33 obtaining phase information from S/MIR(AS) and/or S/MAD
     {
         {//SOFTWARE
             1, "BP3", "?", "?", "program",  //id, name, *version, *date, *type,
             "Navraj S. Pannu", "raj@chem.leidenuniv.nl", //author,email
             "http://www.bfsc.leidenuniv.nl/software/bp3/",  //location
             "phasing", "?",  //classification, language
             "A program for obtaining phase information from an S/MIR(AS) and/or S/MAD experiment(s) by multivariate likelihood estimation" //description
         },
         {//CITATION
             1, "Application of the complex multivariate normal distribution to crystallographic methods with insights into multiple isomorphous replacement phasing", //id, title,
             "2003", "D59", "1801", "1808",  //*year, *journal_volume,page_first, *page_last
             "ACTA CRYSTALLOGR.,SECT.D", //journal_abbrev
             "Acta Crystallogr. D59, 1801-1808" //details
         }, 3, //authors
         {//SOFTWARE_INF
             {1, 1, 3, "Pannu, N.S."}, //citation_id, ordinal ,ncite,name
             {1, 1, 3, "McCoy, A.J."}, 
             {1, 1, 3, "Read, R.J."} 
         }
     },
     
 //BEAST = 34 molecular replacement with maximum likelihood.
     {
         {//SOFTWARE
             1, "BEAST", "?", "?", "program",  //id, name, *version, *date, *type,
             "Randy J. Read", "rjr27@cam.ac.uk", //author,email
             "http://www.ccp4.ac.uk/dist/html/beast.html",  //location
             "molecular replacement", "?",  //classification, language
             "BEAST is to do molecular replacement with maximum likelihood" //description
         },
         {//CITATION
             1, "Pushing the boundaries of molecular replacement with maximum likelihood", //id, title,
             "2001", "D57", "1373", "1382",  //*year, *journal_volume,page_first, *page_last
             "ACTA CRYSTALLOGR.,SECT.D", //journal_abbrev
             "Acta Crystallogr. D57, 1373-1382" //details
         }, 1, //authors
         {//SOFTWARE_INF
             {1, 1, 1, "Read, R.J."} //citation_id, ordinal ,ncite,name
         }
     },
     
 //BUSTER-TNT = 35 REFINEMENT
     {
         {//SOFTWARE
             1, "BUSTER-TNT", "?", "?", "program",  //id, name, *version, *date, *type,
             "Gerard Bricogne", "buster-develop@GlobalPhasing.com", //author,email
             "http://www.globalphasing.com/buster/",  //location
             "refinement", "?",  //classification, language
             "BEAST is to do molecular replacement with maximum likelihood" //description
         },
         {//CITATION
             1, "Direct Phase Determination by Entropy Maximisation and Likelihood Ranking: Status Report and Perspectives.", //id, title,
             "1993", "D49", "37", "60",  //*year, *journal_volume,page_first, *page_last
             "ACTA CRYSTALLOGR.,SECT.D", //journal_abbrev
             "Acta Crystallogr. D49, 37-60" //details
         }, 1, //authors
         {//SOFTWARE_INF
             {1, 1, 1, "Bricogne, G."} //citation_id, ordinal ,ncite,name
         }
     },
 
    
 //XPREP = 36 data scaling
     {
         {//SOFTWARE
             1, "XPREP", "?", "?", "program",  //id, name, *version, *date, *type,
             "George Sheldrick", "demolicense@rt.bruker-axs.nl", //author,email
             "http://shelx.uni-ac.gwdg.de/SHELX/",  //location
             "data scaling", "?",  //classification, language
             "Data analysis and modification" //description
         },
         {//CITATION
             1, "?", //id, title,
             "?", "?", "?", "?",  //*year, *journal_volume,page_first, *page_last
             "?", //journal_abbrev
             "?" //details
         }, 1, //authors
         {//SOFTWARE_INF
             {1, 1, 1, "George Sheldrick"} //citation_id, ordinal ,ncite,name
         }
     },
 
    
 //marScale = 37 data scaling
     {
         {//SOFTWARE
             1, "marScale", "?", "?", "program",  //id, name, *version, *date, *type,
             "Wolfgang Kabsch", "?", //author,email
             "http://www.srs.ac.uk/px/jwc_external/abs_marscale.html",  //location
             "data scaling", "?",  //classification, language
             "scale and merge datasets collected on the MAR image plate system and processed using the MARXDS program" //description
         },
         {//CITATION
             1, "?", //id, title,
             "?", "?", "?", "?",  //*year, *journal_volume,page_first, *page_last
             "?", //journal_abbrev
             "?" //details
         }, 1, //authors
         {//SOFTWARE_INF
             {1, 1, 1, "?"} //citation_id, ordinal ,ncite,name
         }
     },
 
 //X-GEN = 38 data scaling
     {
         {//SOFTWARE
             1, "X-GEN", "?", "?", "program",  //id, name, *version, *date, *type,
             "Andrew J.Howard", "?", //author,email
             "http://xgen.iit.edu/",  //location
             "data scaling", "?",  //classification, language
             "scale and merge datasets for macromolecular and small molecule crystallographic data" //description
         },
         {//CITATION
             1, "Data processing in macromolecular crystallography", //id, title,
             "2000", "?", "?", "?",  //*year, *journal_volume,page_first, *page_last
             "Oxford University Press", //journal_abbrev
             "?" //details
         }, 1, //authors
         {//SOFTWARE_INF
             {1, 1, 1, "Howard, A.J."} //citation_id, ordinal ,ncite,name
         }
     }
 
 
 // ?=39 add more 
 };
 
 
